// <auto-generated>
//  automatically generated by the FlatBuffers compiler, do not modify
// </auto-generated>

namespace Veneris.Communications
{

using global::System;
using global::System.Collections.Generic;
using global::FlatBuffers;

public struct RegisterTransmitterGain : IFlatbufferObject
{
  private Table __p;
  public ByteBuffer ByteBuffer { get { return __p.bb; } }
  public static void ValidateVersion() { FlatBufferConstants.FLATBUFFERS_2_0_0(); }
  public static RegisterTransmitterGain GetRootAsRegisterTransmitterGain(ByteBuffer _bb) { return GetRootAsRegisterTransmitterGain(_bb, new RegisterTransmitterGain()); }
  public static RegisterTransmitterGain GetRootAsRegisterTransmitterGain(ByteBuffer _bb, RegisterTransmitterGain obj) { return (obj.__assign(_bb.GetInt(_bb.Position) + _bb.Position, _bb)); }
  public void __init(int _i, ByteBuffer _bb) { __p = new Table(_i, _bb); }
  public RegisterTransmitterGain __assign(int _i, ByteBuffer _bb) { __init(_i, _bb); return this; }

  public int TxId { get { int o = __p.__offset(4); return o != 0 ? __p.bb.GetInt(o + __p.bb_pos) : (int)0; } }
  public int GainId { get { int o = __p.__offset(6); return o != 0 ? __p.bb.GetInt(o + __p.bb_pos) : (int)0; } }

  public static Offset<Veneris.Communications.RegisterTransmitterGain> CreateRegisterTransmitterGain(FlatBufferBuilder builder,
      int txId = 0,
      int gainId = 0) {
    builder.StartTable(2);
    RegisterTransmitterGain.AddGainId(builder, gainId);
    RegisterTransmitterGain.AddTxId(builder, txId);
    return RegisterTransmitterGain.EndRegisterTransmitterGain(builder);
  }

  public static void StartRegisterTransmitterGain(FlatBufferBuilder builder) { builder.StartTable(2); }
  public static void AddTxId(FlatBufferBuilder builder, int txId) { builder.AddInt(0, txId, 0); }
  public static void AddGainId(FlatBufferBuilder builder, int gainId) { builder.AddInt(1, gainId, 0); }
  public static Offset<Veneris.Communications.RegisterTransmitterGain> EndRegisterTransmitterGain(FlatBufferBuilder builder) {
    int o = builder.EndTable();
    return new Offset<Veneris.Communications.RegisterTransmitterGain>(o);
  }
  public static void FinishRegisterTransmitterGainBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RegisterTransmitterGain> offset) { builder.Finish(offset.Value); }
  public static void FinishSizePrefixedRegisterTransmitterGainBuffer(FlatBufferBuilder builder, Offset<Veneris.Communications.RegisterTransmitterGain> offset) { builder.FinishSizePrefixed(offset.Value); }
};


}
